#ifndef id0E85DAFBFF5D497E8B3699AED806840A
#define id0E85DAFBFF5D497E8B3699AED806840A

#include "gamebase.hpp"
#include <memory>

namespace cloonel {
	class Texture;

	class Game : public GameBase {
	public:
		Game ( SDLMain* parSdlMain );
		virtual ~Game ( void ) noexcept;

		virtual void Prepare ( void );
		virtual void Destroy ( void ) noexcept;

	private:
		virtual void OnRender ( void );
		virtual void OnUpdate ( float parDelta );

		std::unique_ptr<Texture> m_character;
		float m_posx;
		float m_posy;
	};
} //namespace cloonel

#endif
