#ifndef id8E7A054DAC9040B887F2620EFD229EE8
#define id8E7A054DAC9040B887F2620EFD229EE8

#include <memory>

struct SDL_Renderer;

namespace cloonel {
	class SDLMain {
	public:
		SDLMain ( const char* parGameName, int parWidth, int parHeight );
		~SDLMain ( void ) noexcept;

		void Init ( void );
		SDL_Renderer* GetRenderer ( void );

	private:
		struct LocalData;

		void InitSDL ( LocalData& parData );
		void ClearIFN ( LocalData& parData ) noexcept;

		const std::string m_gameName;
		std::unique_ptr<LocalData> m_localData;
		const int m_defWidth;
		const int m_defHeight;
	};
} //namespace cloonel

#endif
