#ifndef id0F37904CB7274575B7E9419E615DA250
#define id0F37904CB7274575B7E9419E615DA250

#include <string>

struct SDL_Texture;

namespace cloonel {
	class SDLMain;

	class Texture {
	public:
		Texture ( const std::string& parPath, SDLMain* parMain, bool parLoadNow );
		~Texture ( void ) noexcept;

		void Reload ( void );
		void Destroy ( void ) noexcept;
		bool IsLoaded ( void ) const { return nullptr != m_texture; }
		void Render ( int parX, int parY );

	private:
		const std::string m_path;
		SDL_Texture* m_texture;
		SDLMain* const m_sdlmain;
		int m_width;
		int m_height;
	};
} //namespace cloonel

#endif
